#-----------------------------------------------------------------------------
#
# check /usr/ucb/rdist for SUID bit.
#

$file = '/usr/bsd/rdist';
&pcheck($file);

if (-u $file) {
  &report("DANGER: SUID $file vulnerability\n",
          "  To fix: \"chmod -s $file\"\n\n");
  &failed;
  }
else {
  &report("INFO: $file is not SUID.  This is good.\n");
  &passed;
  }

exit 0;

